/*****************************************************************************
 *
 *  Name:       epoll_simple.h
 *
 *  $Id$
 *
 *  Purpose:    Interface to simple file-desriptor poll loop.
 *
 *  Copyright 2012-2013 Citrix Systems, Inc. All rights reserved.
 *
 *****************************************************************************/

#ifndef _EPOLL_SIMPLE_H
#define _EPOLL_SIMPLE_H
/* Entry points to linux_loop.c. */

extern void Epoll_init(void);
extern void Epoll_run(void);

extern VPSTATUS Select_fd(struct pal_event *evt_p, int fd, BOOLEAN is_write);
extern void Poller_make_call(int fd, int is_write);

/* User-provided. */

extern void Poller_callback(int fd, int is_write);
#endif /* _EPOLL_SIMPLE_H */
